Skip to main content
GET
/
rules
/
{id}
cURL
curl --request GET \
  --url https://www.getinboxzero.com/api/v1/rules/{id} \
  --header 'API-Key: <api-key>'
{
  "rule": {
    "id": "<string>",
    "name": "<string>",
    "enabled": true,
    "runOnThreads": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "condition": {
      "conditionalOperator": "AND",
      "aiInstructions": "<string>",
      "static": {
        "from": "<string>",
        "to": "<string>",
        "subject": "<string>"
      }
    },
    "actions": [
      {
        "type": "LABEL",
        "fields": {
          "label": "<string>",
          "to": "<string>",
          "cc": "<string>",
          "bcc": "<string>",
          "subject": "<string>",
          "content": "<string>",
          "webhookUrl": "<string>",
          "folderName": "<string>"
        },
        "delayInMinutes": 123
      }
    ]
  }
}

Authorizations

API-Key
string
header
required

Path Parameters

id
string
required

Response

200 - application/json

Successful response

rule
object
required